Bug 99358 - NFS is very slow on RedHat9
Summary: NFS is very slow on RedHat9
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-17 23:53 UTC by Hoang Le
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 11:41:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hoang Le 2003-07-17 23:53:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461; .NET 
CLR 1.0.3705)

Description of problem:
NFS is very slow with SCSI drives when writing small files.  I have a system 
with both IDE and SCSI, if testing locally, SCSI is faster than IDE drive.  But 
NFS on SCSI drive is 200%-300% slower than NFS share on IDE drive.  I have 
tested on other systems with RedHat8, and experience the same problem, NFS is 
much slower on SCSI especially when writing lots of small files an the shared 
directories.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create NFS share on SCSI drive
2.Mount the share on a system
3.running copy directory which contains many small files to the NFS shared 
directories.
4.Do the same for an IDE drive to compare the result.

    

Additional info:

Comment 1 Robert Eden 2004-01-28 17:24:59 UTC
I see a similar problem with files of any size..

I created a 100MB file on a RH 7.1 system and RH 9.0 systems.

When I mount the file systems on a Solaris 8 system, the 7.1 copies
the file in about 15 seconds, while 9.0 is still going after 5 minutes.

/etc/exports entries are identical.
solaris mount commands are identical.



Comment 2 Steve Dickson 2004-08-11 11:41:13 UTC
We think this was do to some major VM issues. Please upgrade
to a later to kernel.


Note You need to log in before you can comment on or make changes to this bug.